#!/bin/bash
#
#   USAGE: dnbkdownload.sh [install-dir] [config-file]
#
# Module Name
CHK_CMD="dnbkdownloadbat"

# Execute Command
RUN_CMD="${1}/${CHK_CMD} -cnf=${2}"

#---< Check arg
if [ $# -ne 2 ]; then
    echo -e `date "+%Y/%m/%d %H:%M:%S"`"\\t$$\\tERROR\\tUsage : dnbkdownload.sh [install-dir] [config-file]"
    echo -e `date "+%Y/%m/%d %H:%M:%S"`"\\t$$\\tINFO\\tdownload END   : status[-1001]"
    exit 1
fi

#---< Check exist
if [ ! -d ${1} ]; then
    echo -e `date "+%Y/%m/%d %H:%M:%S"`"\\t$$\\tERROR\\tinstall-dir[${1}] is not exists."
    echo -e `date "+%Y/%m/%d %H:%M:%S"`"\\t$$\\tINFO\\tdownload END   : status[-1011]"
    exit 1
fi
if [ ! -f ${2} ]; then
    echo -e `date "+%Y/%m/%d %H:%M:%S"`"\\t$$\\tERROR\\tconfig-file[${2}] is not exists."
    echo -e `date "+%Y/%m/%d %H:%M:%S"`"\\t$$\\tINFO\\tdownload END   : status[-1012]"
    exit 1
fi

#---< Check running
CHK_PID=`pgrep -fo "${CHK_CMD}"`
if [ "${CHK_PID}" != "$$" -a "${CHK_PID}" != "" ]; then
    echo -e `date "+%Y/%m/%d %H:%M:%S"`"\\t$$\\tERROR\\t${CHK_CMD} is already running."
    echo -e `date "+%Y/%m/%d %H:%M:%S"`"\\t$$\\tINFO\\tdownload END   : status[-1021]"
    exit 1
fi

# Execute
${RUN_CMD}
if [ $? -ne 0 ]; then
    exit 1
fi

exit 0
